Skip to main content
npayload is launching soon.
npayloadDocs
API ReferenceOrganizations

Get organization details

Returns the organization details for the authenticated API key.

GET/v1/organization

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key authentication. Keys are prefixed with environment:

  • npk_live_ for production
  • npk_test_ for testing/staging

In: header

Response Body

application/json

application/json

curl -X GET "https://api.npayload.com/v1/organization"
{
  "id": "string",
  "name": "string",
  "slug": "string",
  "tier": "free",
  "createdAt": "2019-08-24T14:15:22Z",
  "settings": {
    "defaultRetentionDays": 0,
    "webhookTimeout": 0
  }
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Invalid or missing API key"
  }
}

Was this page helpful?